#include <gtk/gtk.h>

#include "manpage_view.h"



int main(int argc, char *argv[])
{
	GtkWidget *w, *toplevel;

	gtk_init(&argc, &argv);

	toplevel = w = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_window_set_policy(GTK_WINDOW(w), TRUE, TRUE, FALSE);
	gtk_widget_set_usize(w, 400, 300);
	gtk_signal_connect_object(
	    GTK_OBJECT(w), "delete_event",
	    GTK_SIGNAL_FUNC(gtk_main_quit), NULL
	);

	w = MPViewNew();
	gtk_container_add(GTK_CONTAINER(toplevel), w);
	gtk_widget_show(w);

	gtk_widget_show(toplevel);

	MPViewInsertObjectsFromXMLString(
	    w,
	    -1,
"<SH>\n\
FIRST SECTION\n\
<LP>\n\
The <fB>quick red<fR> fox jumped over the lazy brown <fI>dog.<fR>\n\
<TP>\n\
Vixen\n\
Coolest creatre in the world\n\
<TP>\n\
--tailsnuggle &lt;cutething&gt;\n\
To tailsnuggle something\n\
<SH>\n\
LAST SECTION\n\
<LP>\n\
Arctica likes snow bunnies,<br><br><br>espessially fat and tasty ones.",
	    NULL, NULL
	);


	gtk_main();


	gtk_widget_destroy(toplevel);


	return(0);
}
